Package org.apache.struts2.factory

# Class StrutsActionProxyFactory

java.lang.Object
org.apache.struts2.DefaultActionProxyFactory
org.apache.struts2.factory.StrutsActionProxyFactory

All Implemented Interfaces:
  `ActionProxyFactory`

Direct Known Subclasses:
  `PrefixBasedActionProxyFactory`

public class StrutsActionProxyFactory extends DefaultActionProxyFactory

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.DefaultActionProxyFactory

  `container`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsActionProxyFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionProxy`
  `createActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.

  ### Methods inherited from class org.apache.struts2.DefaultActionProxyFactory

  `createActionInvocation, createActionProxy, createActionProxy, createActionProxy, createActionProxy, createActionProxy, setContainer, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StrutsActionProxyFactory

    public StrutsActionProxyFactory()

- ## Method Details

  - ### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)
    Description copied from interface: `ActionProxyFactory`
    Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.
    Specified by:
      `createActionProxy` in interface `ActionProxyFactory`
    Overrides:
      `createActionProxy` in class `DefaultActionProxyFactory`
    Parameters:
      `inv` - the action invocation instance to associate with
      `namespace` - the namespace of the action, can be `null`
      `actionName` - the name of the action
      `methodName` - the name of the method to execute
      `executeResult` - flag which tells whether the result should be executed after the action
      `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
    Returns:
      ActionProxy the created action proxy